# Get Owned Asset

Get a a specific asset owned by an organization.

Endpoint: GET /api/v1/assets/owned-assets/{id}
Version: 0.2.0
Security: bearerAuth

## Path parameters:

  - `id` (string, required)
    ID of the asset to retrieve.

## Response 200 fields (application/json):

  - `priced_asset` (object, required)

  - `priced_asset.type` (string, required)

  - `priced_asset.asset_info` (object, required)
    The asset info.

  - `priced_asset.asset_info.id` (string, required)
    The asset ID.

  - `priced_asset.asset_info.asset_identifier` (any, required)

  - `priced_asset.asset_info.name` (string, required)
    The name of the asset.

  - `priced_asset.asset_info.symbol` (string, required)
    The symbol (ticker) of the asset.

  - `priced_asset.asset_info.decimals` (integer, required)

  - `priced_asset.asset_info.verified` (boolean, required)
    True if this asset is verified by Fordefi, False otherwise.

  - `priced_asset.asset_info.metadata_uri` (string)
    The URI of the asset metadata.

  - `priced_asset.asset_info.is_spam` (boolean, required)
    True if this asset is spam, False otherwise.

  - `priced_asset.asset_info.logo_url` (string)
    The URL of the asset logo.

  - `priced_asset.asset_info.explorer_url` (string)
    The URL of a blockchain explorer that provides real-time information about the asset.

  - `priced_asset.price` (object)
    The price of the asset (if it exists in the system).

  - `priced_asset.price.price_float` (string, required)
    The price in the given fiat currency.
    Example: "1000000000000000000"

  - `priced_asset.price.fiat_currency` (object, required)

  - `priced_asset.price.fiat_currency.currency_symbol` (string, required)
    The symbol of the fiat currency.
    Enum: "usd"

  - `priced_asset.price.fiat_currency.decimals` (integer, required)
    The number of decimals in the fiat currency.

  - `balances` (object, required)
    The cryptocurrency balances of the asset.

  - `balances.total_mined` (string, required)
    The value of all mined assets.
    Example: "1000000000000000000"

  - `balances.total_pending_incoming` (string, required)
    The value of all pending incoming assets.
    Example: "1000000000000000000"

  - `balances.available_mined` (string, required)
    The value of all available mined assets. Equals to total mined balance minus frozen mined.
    Example: "1000000000000000000"

  - `balances.available_pending_incoming` (string, required)
    The value of all available pending incoming assets. Equals to total pending incoming minus frozen pending incoming.
    Example: "1000000000000000000"

  - `balances.frozen_mined` (string, required)
    The value of all mined frozen assets.
    Example: "1000000000000000000"

  - `balances.frozen_pending_incoming` (string, required)
    The value of all pending incoming frozen assets.
    Example: "1000000000000000000"

  - `balances.trustline_limit` (string)
    The trustline limit for Stellar assets. Nil for non-Stellar assets or assets without trustlines.
    Example: "1000000000000000000"

## Response 400 fields (application/json):

  - `title` (string, required)
    Human-readable error message.

  - `detail` (string, required)
    Detailed error message.

  - `full_detail` (string)
    Full error message with additional details, if available.

  - `request_id` (string)
    Request ID - for debugging purposes.

  - `system_error_code` (string)
    An additional system error code in Fordefi.

## Response 401 fields (application/json):

  - `title` (string, required)
    Human-readable error message.

  - `detail` (string, required)
    Detailed error message.

  - `full_detail` (string)
    Full error message with additional details, if available.

  - `request_id` (string)
    Request ID - for debugging purposes.

## Response 403 fields (application/json):

  - `title` (string, required)
    Human-readable error message.

  - `detail` (string, required)
    Detailed error message.

  - `full_detail` (string)
    Full error message with additional details, if available.

  - `request_id` (string)
    Request ID - for debugging purposes.

## Response 404 fields (application/json):

  - `title` (string, required)
    Human-readable error message.

  - `detail` (string, required)
    Detailed error message.

  - `full_detail` (string)
    Full error message with additional details, if available.

  - `request_id` (string)
    Request ID - for debugging purposes.

  - `resource` (string)
    The type of resource.
    Enum: "user", "user_change_proposals", "user_group", "user_group_change_proposal", "vault", "vault_address", "vault_group", "address_group", "transaction", "batch_transaction", "path", "keyset", "auth_token", "access_token", "asset", "asset_info", "vault_derivation_path", "blockchain", "export", "quote", "import_keys_request", "vault_address_account", "exchange_asset_mapping", "dapp_group", "safe_address"

## Response 408 fields (application/json):

  - `title` (string, required)
    Human-readable error message.

  - `detail` (string, required)
    Detailed error message.

  - `full_detail` (string)
    Full error message with additional details, if available.

  - `request_id` (string)
    Request ID - for debugging purposes.

## Response 422 fields (application/json):

  - `title` (string, required)
    Human-readable error message.

  - `detail` (array, required)

  - `detail.loc` (array, required)

  - `detail.msg` (string, required)

  - `detail.type` (string, required)

  - `full_detail` (string)
    Full error message with additional details, if available.

  - `request_id` (string)
    Request ID - for debugging purposes.

## Response 500 fields (application/json):

  - `title` (string, required)
    Human-readable error message.

  - `detail` (string, required)
    Detailed error message.

  - `full_detail` (string)
    Full error message with additional details, if available.

  - `request_id` (string)
    Request ID - for debugging purposes.


